Patch Customer Resource
curl --request PATCH \
--url https://api.embedreach.com/api/resources/customers/{externalId} \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"customerId": "<string>",
"email": "<string>",
"phone": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"emailOptOut": true,
"smsOptOut": true,
"customerDetailUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://api.embedreach.com/api/resources/customers/{externalId}"
payload = { "data": {
"customerId": "<string>",
"email": "<string>",
"phone": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"emailOptOut": True,
"smsOptOut": True,
"customerDetailUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
} }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
customerId: '<string>',
email: '<string>',
phone: '<string>',
firstName: '<string>',
lastName: '<string>',
emailOptOut: true,
smsOptOut: true,
customerDetailUrl: '<string>',
createdAt: '2023-11-07T05:31:56Z'
}
})
};
fetch('https://api.embedreach.com/api/resources/customers/{externalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schema_definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_external_id": "<string>",
"resourceExternalId": "<string>",
"created_at": "<string>",
"createdAt": "<string>",
"updated_at": "<string>",
"updatedAt": "<string>",
"data": {
"customerId": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"email": "<string>",
"phone": "<string>",
"emailOptOut": true,
"smsOptOut": true,
"customerDetailUrl": "<string>"
}
},
"included": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schema_definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_external_id": "<string>",
"resourceExternalId": "<string>",
"created_at": "<string>",
"createdAt": "<string>",
"updated_at": "<string>",
"updatedAt": "<string>",
"data": {
"customerId": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"email": "<string>",
"phone": "<string>",
"emailOptOut": true,
"smsOptOut": true,
"customerDetailUrl": "<string>"
}
}
]
}
}{
"message": "<string>",
"success": false,
"errors": [
"<string>"
]
}{
"success": true,
"message": "<string>",
"data": {
"error": "<string>"
}
}Default Partner Resources
Patch Customer Resource
Updates a customer resource by its external ID. This is an incremental update, only provided fields will be updated.
PATCH
/
api
/
resources
/
customers
/
{externalId}
Patch Customer Resource
Headers
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
Path Parameters
The external ID of the customer resource to update
Query Parameters
Whether to allow extra fields that are not defined in the schema. If true, extra fields will be accepted but not saved. If false, requests with extra fields will be rejected.
Body
application/json
Partial customer resource data for incremental update
Show child attributes
Show child attributes
⌘I